This site uses cookies to offer you a better browsing experience. Find out more about how to manage cookies, or dismiss this message and continue to use cookies.

Roadmate 1700 PND update obstacle

GeePS 0 Points
edited February 2014 in Magellan Vehicle Forum
Hello, I tried upgrading my map to v54 which included upgrading content manager (successful), software to v4.95 (successful--according to content manager) but when I try to go through with the map upgrade/sync I get the following problem:
1. "due to incompatibility issues with your operating system, blah blah, disconnect then reconnect when it's done. Fine I did that and hit "ok"
2. "PND needs to be update" is the next message--but I am currently running the latest. It says to hit "ok" which I do but then nothing ever happens. The box disappears and nada. There is no update even available according to content manager--uugggh!

Thanks for anything/anyone that can help me,

Damon

Comments

  • GeePS 0 Points
    PND problem Solved! Magellan Roadmate 1700 map upgrade solved.

    Installed content manager on laptop that had Windows XP, signed in to Magellan, synced map upgrade and viola, 2 hours later it was installed perfectly. Yippie!

    Damon
  • 1time 0 Points
    Same issue here.

    I was able to update the system software on my Magellan Roadmate 1475T. I could get the address book to sync and I could check for upgrades and purchase the update map. But every time I tried to sync/update the new map software on the GPS, I would get the same "PND needs to be update" message. I would restart the software and even restart the entire computer to no avail.

    Thanks for your suggestion of using a different computer. I went from my desktop running Windows 7 to my laptop running Windows 8 and the map sync updated smoothly and immediately.
  • Lolz0r 0 Points
    Had the same problem in Windows 8.1

    Solution:
    > Right-click Content Manager shortcut
    > Properties
    > Compatibility
    > Check "Run this program in compatibility mode for:"
    > Choose Windows XP (Service Pack 2)
    > Apply and OK.

    This fixed the issue. Good luck!
  • Lolz0r 0 Points
    edited May 2015
    I thought I had found the solution in my previous post but ran into other problems later.

    I had the same problem in Windows 8.1 with the Magellan Roadmate 6220-LM

    Solution:
    > Right-click Content Manager shortcut
    > Properties
    > Compatibility
    > Check "Run this program in compatibility mode for:"
    > Choose Windows XP (Service Pack 2)
    > Apply and OK.

    This allowed me to download the maps, but another error appeared "Please connect the device", although my device was already connected.

    To fix this, I had to manually go find the maps installer in its saved location and run it from there.

    Solution:
    > Make sure you can see hidden items in windows folders
    > Go to C:\Users\your_username\AppData\Local\Temp\ContentManager\download
    > Run the maps file that is there (in my case, it was: CM_Q214_MapUpgrade_ArrowHead_v58.01)
    > Follow the instructions by the installer
    > Voila! You have just updated your maps
Sign In or Register to comment.
↑ Top